perl-Perl-Critic-Lax-0.10.0-3-omv2015.0.noarch.rpm


Advertisement

Description

perl-Perl-Critic-Lax - Policies that let you slide on common exceptions

Property Value
Distribution OpenMandriva Lx 3.0
Repository OpenMandriva Contrib i586
Package name perl-Perl-Critic-Lax
Package version 0.10.0
Package release 3-omv2015.0
Package architecture noarch
Package type rpm
Installed size 53.13 KB
Download size 26.19 KB
Official Mirror abf-downloads.openmandriva.org
The Perl-Critic-Lax distribution includes versions of core Perl::Critic
modules with built-in exceptions. If you really like a Perl::Critic policy,
but find that you often violate it in a specific way that seems pretty darn
reasonable, maybe there's a Lax policy. If there isn't, send one in!

Alternatives

Package Version Architecture Repository
perl-Perl-Critic-Lax-0.10.0-3-omv2015.0.noarch.rpm 0.10.0 noarch OpenMandriva Contrib
perl-Perl-Critic-Lax - - -

Requires

Name Value
perl(Perl::Critic::Utils) -
perl(abi) >= 5.20.1

Provides

Name Value
perl(Perl::Critic::Lax) == 0.10.0
perl(Perl::Critic::Policy::Lax::ProhibitComplexMappings::LinesNotStatements) == 0.10.0
perl(Perl::Critic::Policy::Lax::ProhibitEmptyQuotes::ExceptAsFallback) == 0.10.0
perl(Perl::Critic::Policy::Lax::ProhibitLeadingZeros::ExceptChmod) == 0.10.0
perl(Perl::Critic::Policy::Lax::ProhibitStringyEval::ExceptForRequire) == 0.10.0
perl(Perl::Critic::Policy::Lax::RequireEndWithTrueConst) == 0.10.0
perl(Perl::Critic::Policy::Lax::RequireExplicitPackage::ExceptForPragmata) == 0.10.0
perl-Perl-Critic-Lax == 0.10.0-3:2015.0

Download

Type URL
Binary Package perl-Perl-Critic-Lax-0.10.0-3-omv2015.0.noarch.rpm
Source Package perl-Perl-Critic-Lax-0.10.0-3.src.rpm

Install Howto

  1. Enable OpenMandriva Contrib repository on Install and Remove Software"
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Perl-Critic-Lax rpm package:
    # urpmi perl-Perl-Critic-Lax

Files

Path
/usr/lib/perl5/vendor_perl/5.20.1/Perl/
/usr/lib/perl5/vendor_perl/5.20.1/Perl/Critic/Lax.pm
/usr/lib/perl5/vendor_perl/5.20.1/Perl/Critic/Policy/
/usr/lib/perl5/vendor_perl/5.20.1/Perl/Critic/Policy/Lax/RequireEndWithTrueConst.pm
/usr/lib/perl5/vendor_perl/5.20.1/Perl/Critic/Policy/Lax/ProhibitComplexMappings/LinesNotStatements.pm
/usr/lib/perl5/vendor_perl/5.20.1/Perl/Critic/Policy/Lax/ProhibitEmptyQuotes/ExceptAsFallback.pm
/usr/lib/perl5/vendor_perl/5.20.1/Perl/Critic/Policy/Lax/ProhibitLeadingZeros/ExceptChmod.pm
/usr/lib/perl5/vendor_perl/5.20.1/Perl/Critic/Policy/Lax/ProhibitStringyEval/ExceptForRequire.pm
/usr/lib/perl5/vendor_perl/5.20.1/Perl/Critic/Policy/Lax/RequireExplicitPackage/ExceptForPragmata.pm
/usr/share/doc/perl-Perl-Critic-Lax/Changes
/usr/share/doc/perl-Perl-Critic-Lax/LICENSE
/usr/share/doc/perl-Perl-Critic-Lax/README
/usr/share/man/man3/Perl::Critic::Lax.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Lax::ProhibitComplexMappings::LinesNotStatements.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Lax::ProhibitEmptyQuotes::ExceptAsFallback.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Lax::ProhibitLeadingZeros::ExceptChmod.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Lax::ProhibitStringyEval::ExceptForRequire.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Lax::RequireEndWithTrueConst.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Lax::RequireExplicitPackage::ExceptForPragmata.3pm.xz

See Also

Package Description
perl-Perl-Critic-More-1.3.0-3-omv2015.0.noarch.rpm Stop mixing long strings with code
perl-Perl-Critic-Nits-1.0.0-5-omv2015.0.noarch.rpm Policies of nits I like to pick
perl-Perl-Critic-PetPeeves-JTRAMMELL-0.40.0-3-omv2015.0.noarch.rpm Prohibit superfluous initializations
perl-Perl-Critic-Pulp-85.0.0-1-omv2014.1.noarch.rpm Don't use Foo:: style barewords
perl-Perl-Critic-Storable-0.10.0-5-omv2015.0.noarch.rpm Perl::Critic policy for using Storable
perl-Perl-Critic-StricterSubs-0.30.0-5-omv2015.0.noarch.rpm Perl::Critic plugin for stricter subroutine checks
perl-Perl-Critic-Swift-1.0.3-4-omv2015.0.noarch.rpm Additional policies for Perl::Critic
perl-Perl-Critic-Tics-0.8.0-3-omv2015.0.noarch.rpm (this => is => not => good)
perl-Perl-Metrics-Simple-0.170.0-3-omv2015.0.noarch.rpm Methods analyzing a single file
perl-Perl-OSType-1.7.0-3-omv2015.0.noarch.rpm Map Perl operating system names to generic types
perl-Perl-PrereqScanner-1.15.0-3-omv2015.0.noarch.rpm A tool to scan your Perl code for its prerequisites
perl-Perl-Version-1.11.0-5-omv2015.0.noarch.rpm Parse and manipulate Perl version strings
perl-Perl6-Doc-0.470.0-5-omv2015.0.noarch.rpm Perl 6 Documentation Collection
perl-Perl6-Export-0.70.0-4-omv2015.0.noarch.rpm Implements the Perl 6 is export trait
perl-Perl6-Export-Attrs-0.0.3-5-omv2015.0.noarch.rpm The Perl 6 'is export(...)' trait as a Perl 5 attribute
Advertisement
Advertisement